pcl::device::Emulation Struct Reference

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu/src/cuda/utils.hpp>`

## Static Public Member Functions

static __device__ __forceinline__ int | warp_reduce (volatile int *ptr, const unsigned int tid)
static __forceinline__ __device__ int | Ballot (int predicate, volatile int *cta_buffer)
static __forceinline__ __device__ bool | All (int predicate, volatile int *cta_buffer)
static __forceinline__ __device__ int | Ballot (int predicate, volatile int *cta_buffer)
static __forceinline__ __device__ int | ballot (int predicate, volatile int *cta_buffer)

## Detailed Description

Definition at line 582 of file utils.hpp.

## Member Function Documentation

## All()

static __forceinline__ __device__ bool pcl::device::Emulation::All | ( | int | predicate,
|  | volatile int * | cta_buffer
| ) |  |

inline static

Definition at line 616 of file utils.hpp.

References pcl::device::Block::flattenedThreadId(), and pcl::device::warp_reduce().

## ballot()

static __forceinline__ __device__ int pcl::device::Emulation::ballot | ( | int | predicate,
|  | volatile int * | cta_buffer
| ) |  |

inline static

Definition at line 48 of file emulation.hpp.

References warp_reduce().

## Ballot() [1/2]

static __forceinline__ __device__ int pcl::device::Emulation::Ballot | ( | int | predicate,
|  | volatile int * | cta_buffer
| ) |  |

inline static

Definition at line 48 of file emulation.hpp.

References warp_reduce().

## Ballot() [2/2]

static __forceinline__ __device__ int pcl::device::Emulation::Ballot | ( | int | predicate,
|  | volatile int * | cta_buffer
| ) |  |

inline static

Definition at line 603 of file utils.hpp.

References pcl::device::Block::flattenedThreadId(), and pcl::device::warp_reduce().

## warp_reduce()

static __device__ __forceinline__ int pcl::device::Emulation::warp_reduce | ( | volatile int * | ptr,
|  | const unsigned int | tid
| ) |  |

inline static

Definition at line 585 of file utils.hpp.

Referenced by Ballot(), and ballot().

The documentation for this struct was generated from the following files:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/kinfu/src/cuda/utils.hpp
- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/gpu/octree/src/utils/emulation.hpp